> For the complete documentation index, see [llms.txt](https://docs.zencal.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zencal.io/reference/api-reference/meeting-topics.md).

# Meeting topics

## Get list of all meeting topics that are owned by user

<mark style="color:blue;">`GET`</mark> `https://app.zencal.io/api/v1/meeting-topics`

#### Headers

| Name                                               | Type   | Description      |
| -------------------------------------------------- | ------ | ---------------- |
| X-Zencal-Api-Key<mark style="color:red;">\*</mark> | String | Zencal Api key   |
| Content-Type<mark style="color:red;">\*</mark>     | String | application/json |
| Accept<mark style="color:red;">\*</mark>           | String | application/json |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "meetingTopics": [
        {
            "uuid": "fd8ec570-a809-40e3-8af6-a7d76c0b5adc",
            "name": "Consulting IT",
            "duration": 120,
            "description": "Lorem ipsum",
            "enabled": true,
            "private": false
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Shorten the link to your meeting topic

<mark style="color:green;">`POST`</mark> `https://app.zencal.io/api/v1/short`

Shorten your long link

#### Headers

| Name                                               | Type   | Description      |
| -------------------------------------------------- | ------ | ---------------- |
| X-Zencal-Api-Key<mark style="color:red;">\*</mark> | String | Zencal Api key   |
| Content-Type<mark style="color:red;">\*</mark>     | String | application/json |
| Accept<mark style="color:red;">\*</mark>           | String | application/json |

#### Request Body

| Name                                     | Type   | Description                           |
| ---------------------------------------- | ------ | ------------------------------------- |
| origin<mark style="color:red;">\*</mark> | String | The original link you want to shorten |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "link": "https://zcal.me/xxx"
}
```

{% endtab %}
{% endtabs %}

## Update meeting topic

<mark style="color:purple;">`PUT`</mark> `https://app.zencal.io/api/v1/meeting-topics/{uuid}`

Use this method to update meeting topic data

#### Headers

| Name                                               | Type   | Description      |
| -------------------------------------------------- | ------ | ---------------- |
| X-Zencal-Api-Key<mark style="color:red;">\*</mark> | String | Zencal Api key   |
| Content-Type<mark style="color:red;">\*</mark>     | String | application/json |
| Accept<mark style="color:red;">\*</mark>           | String | application/json |

#### Request Body

| Name        | Type    | Description                                                              |
| ----------- | ------- | ------------------------------------------------------------------------ |
| name        | String  | Name displayed on the planning page                                      |
| description | String  | Description displayed on the planning page                               |
| enabled     | Boolean | Determines whether appointments can be made on this topic                |
| private     | Boolean | Specifies whether the meeting topic should be hidden on the profile page |
| metadata    | Object  | Set the data you need                                                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zencal.io/reference/api-reference/meeting-topics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
